Tag AWB edits
Closed, ResolvedPublic

Description

Since this commit, it is possible to tag edits from the API. Provided a custom AWB tag is made at Special:Tags, it would make it possible to filter edits made by AWB in recent changes.

Cenarium created this task.Sep 7 2015, 12:06 AM
Cenarium updated the task description. (Show Details)
Cenarium raised the priority of this task from to Normal.
Cenarium added a project: AutoWikiBrowser.
Restricted Application added a subscriber: Josve05a. · View Herald TranscriptSep 7 2015, 12:06 AM

This would be a good thing in my opinion.

I also think this would be a good idea. There is already a requirement to mark them so this would likely make that requirement easier to track. Especially for those that might not be marking them as they should be.

@Billinghurst You are global admin. Can you help us on that?

Krenair added a subscriber: Krenair.EditedSep 20 2015, 3:52 PM

You'd have to agree on a standard name for the tag across all wikis, and get it implemented for this to do anything. But if you do that, you should be able to add the tag by using the 'tags' parameter of action=edit.

There is already a requirement to mark them

What?

@Billinghurst You are global admin. Can you help us on that?

He's a steward...

I would suggest having the tag named "AWB" (I guess to use it AWB would have to use something like ?action=edit&tag=AWB or something like that when submitting a save using API? and have it dispay as [[Wikipedia:AutoWikiBrwowser|AutoWikiBrowser]] or as [[:en:Wikipedia:AutoWIkiBrowser|AutoWIkiBrowser]]

I agree that a tag of AWB would be good. Even other project should know what AWB means in reference to the tool that made the edit

From where I have seen other tags added by the system, aren't they generally more expansive rather than abbreviated/concise. AWB is known to the insiders, if we are going to have a tag shown to the wide world, and remember this is more than a single wiki, that AutoWikiBrowser is descriptive and specific, while longer, that is not really the concern.

eg. https://commons.wikimedia.org/wiki/Special:Tags

Then you can have the text that links back to a page.

Note that your link in the explanation with :en:... won't work on enWikt/enWS/enWQ/enWB/... as they are their own local en links, so you would either need to put in soft redirects at these wikis, or look to an alternative that works at enWP and external. OR Look to move your landing page of enWP at have something at meta. Also how do you see that such a tag would work at Wikia, or other sites outside of WMF that do not have the internal interwiki mapping? So... maybe a traditional wiki linking for an external site may be needed. <shrug>

Josve05a added a comment.EditedSep 21 2015, 12:29 AM

Well, we can use w:en:WP:AWB instad for WFM-wikis. And for other Wikis (such as Wikia) they won't have the tags set locally, so trying to use it over API with action=edit&tag=AWB (or what ever the string is) will not do anything, since there need to be a tag on the wiki for it to display, that doesn't mean the program shouldn't try to use it, then it is up to each comunity if they want to have the tag, or want change where it goes to/how it looks.

I like this. Might be a good idea to include additional tags like Twinkle, Dab Solver, and other tools too.

Izno added a subscriber: Izno.Jun 30 2017, 7:28 PM
JJMC89 awarded a token.Jul 1 2017, 8:17 PM

Everyone seems to agree that this is a good idea. Who needs to do what to make this happen?

Everyone seems to agree that this is a good idea. Who needs to do what to make this happen?

Same question. @Helmoony and I have just discussed about this for Arabic wikis.

Does anyone knows how difficult would it be to tag AWB edits?

The API doesn't provide a way to find out if/what tags are defined... does it? https://en.wikipedia.org/w/api.php?action=help&modules=managetags

Without scraping the API help text at least...

It'd be useful to know that, and then use that to make AWB add tags where it is defined on the wiki..

Otherwise it's going to generate at least warnings, if MW allows the edits to go through

A server-side tag that says "Hey, I was made with the API (so I could be AWB, a bot, etc.)" would be useful, too, and presumably the servers could add that. But I believe someone said that an AWB-specific tag that would have to be added by AWB itself. (I could be wrong, of course.)

Yeah, AWB needs to add it, but I think it needs to be added to MW too, so want to make sure the wiki it's editing against has an AWB tag defined before using it make edits. So we need to look for the tag in the API first... Rather than possibly just causing errors/warnings (I'll do some testing to find out)

<?xml version=\"1.0\"?><api servedby=\"mw1233\"><error code=\"tags-apply-not-allowed-one\" info=\"The tag &quot;AWB&quot; is not allowed to be manually applied.\" xml:space=\"preserve\">See https://en.wikipedia.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at &amp;lt;https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce&amp;gt; for notice of API deprecations and breaking changes.</error></api>

So, yeah. We need to check for tags first :)

JJMC89 added a subscriber: JJMC89.Jan 17 2018, 4:49 AM

Do we think if we're putting an AWB tag, we should just remove the "using AWB" from the edit summary too?

Yes. On wikis where the edits are tagged "using AWB" should be removed from the edit summary. Keep it for wikis that don't have the tag.

@Reedy, if I understand correctly, you have managed to tag an edit using AWB.

If so, that's great! What are the next steps to have it for all users? Do wikis need to create a tag specifically triggered by something in particular?

If not, what is missing?

Reedy added a comment.Jan 18 2018, 3:41 PM

@Reedy, if I understand correctly, you have managed to tag an edit using AWB.

If so, that's great! What are the next steps to have it for all users? Do wikis need to create a tag specifically triggered by something in particular?

If not, what is missing?

A new release of the software is the main thing missing. :) Which is probably overdue generally

I've created the tag on enwiki, but if people want/need it on other wikis, they would need to create a tag with AWB themselves to swap to tagging rather than "using AWB" in the edit summary.

Thanks. How do you do this? I'm bad at tags, and I think I'm not the only one. ;)
Given the number of people who subscribed to that task, an how-to would be super helpful!

I'm surprised to only see one edit tagged (as I'm writing). Are there not more people using AWB?

Reedy added a comment.Jan 18 2018, 4:35 PM

Thanks. How do you do this? I'm bad at tags, and I think I'm not the only one. ;)
Given the number of people who subscribed to that task, an how-to would be super helpful!

I'm surprised to only see one edit tagged (as I'm writing). Are there not more people using AWB?

There are, but it's not MW deciding the tag needs to be added, it's AWB telling MW to add that tag for the edits. So unless someone is building it from source themselves, they're not going to be running the latest code with that actual update in it to add the tags.

So a release is needed so that this code is rolled out to more people

And I didn't really need to do much more testing to know it's working.

Go to https://en.wikipedia.org/wiki/Special:Tags (or the local page thereof), as an administrator (or someone with the managechangetags right), and then in the box at the top, add "AWB" as the name, and a reason of something sane... Click create.

It'll be added to the table below.

https://en.wikipedia.org/wiki/MediaWiki:Tag-AWB and https://en.wikipedia.org/wiki/MediaWiki:Tag-AWB-description then want defining to make something useful (you'll see redlink edit links against the AWB tag in the table int he meantime). The first being a wikilink back to the softwares local description page, or if there isn't one, to enwiki. The second one then being something describing what the tag defines, in this case "edits made with AWB"

Thanks a lot @Reedy!

I think people will be happy of the new release tagging edits.

Thank you both for the tag and tutorial.
Unfortunately, I don't see any edits in my local wiki even for the last 30 days when I apply the tag.
https://ar.wikipedia.org/w/index.php?title=Special:RecentChanges&tagfilter=AWB

Which is very weird because I've done a lot of editing with AWB last week.
https://ar.wikipedia.org/w/index.php?title=%D9%8A%D9%88%D8%B4%D9%8A%D9%88_%D9%85%D8%A7%D8%B3%D9%88%D8%AF%D8%A7&diff=prev&oldid=26545499

Reedy added a comment.Jan 18 2018, 7:41 PM

As above, until a new version of AWB is released, and people start using it, there will be no tagging

Thanks. How do you do this? I'm bad at tags, and I think I'm not the only one. ;)
Given the number of people who subscribed to that task, an how-to would be super helpful!

I'm surprised to only see one edit tagged (as I'm writing). Are there not more people using AWB?

There are, but it's not MW deciding the tag needs to be added, it's AWB telling MW to add that tag for the edits. So unless someone is building it from source themselves, they're not going to be running the latest code with that actual update in it to add the tags.

So a release is needed so that this code is rolled out to more people

And I didn't really need to do much more testing to know it's working.

Go to https://en.wikipedia.org/wiki/Special:Tags (or the local page thereof), as an administrator (or someone with the managechangetags right), and then in the box at the top, add "AWB" as the name, and a reason of something sane... Click create.

It'll be added to the table below.

https://en.wikipedia.org/wiki/MediaWiki:Tag-AWB and https://en.wikipedia.org/wiki/MediaWiki:Tag-AWB-description then want defining to make something useful (you'll see redlink edit links against the AWB tag in the table int he meantime). The first being a wikilink back to the softwares local description page, or if there isn't one, to enwiki. The second one then being something describing what the tag defines, in this case "edits made with AWB"

I understand that there are tags that are added by abusefilters and extensions and as such for many there has been no requirement to manually do tag creation. Are you are indicating that while AWB will be doing the underlying tag addition that there will be a requirement to manually create the tag. Looking at a Special:Tags many seem automatic

noting that there are many OAuth activities in some
https://www.wikidata.org/wiki/Special:Tags

I am presuming that there will be default words/language for tags, and you are indicating that this can be customised in a local wiki. As we have a history of having such language components sitting in translatewiki does this happen automatically, or would it need to be pushed?

Reedy added a comment.Jan 20 2018, 1:53 PM

I understand that there are tags that are added by abusefilters and extensions and as such for many there has been no requirement to manually do tag creation. Are you are indicating that while AWB will be doing the underlying tag addition that there will be a requirement to manually create the tag. Looking at a Special:Tags many seem automatic

Yes it needs manually, otherwise the API spits out an error if it doesn't exist. Hence checking for it's existence in the first place.

Huggle did the same; it has a manually defined tag so it can use it. Same for the few other manual ones on enwiki

We could have AWB add it if it doesn't exist... But then it's being done by a "random" administrator unknowingly. This can't be desired behaviour

OAuth is easier as added by the extension, as the authentication and such goes through MediaWiki itself. It can do anything like the. AWB is just using the api... Would the API making tags based on some criteria for things editing via it be desired behaviour? I honestly don't actually know

I am presuming that there will be default words/language for tags, and you are indicating that this can be customised in a local wiki. As we have a history of having such language components sitting in translatewiki does this happen automatically, or would it need to be pushed?

I only see one tag defined in WikimediaMessages. But there's no reason that more of them couldn't be (software defined ones, such as HHVM the messages are defined in the software extension where it is added..). That feels like a bigger project, and out of scope of this bug. However, I'm happy to make/review a patch to WikimediaMessages to add (use wikimedia/{en,qqq}.json) tag-AWB and tag-AWB-description

	"tag-emoji": "Emoji",
	"tag-emoji-description": "Used by global abuse filter 110.",

The "appearance on change lists" will show with a default/fallback of something the same as the tag name

Reedy added a comment.Jan 20 2018, 1:57 PM

If we wanted to do it with abusefilter (for example)... We'd have to do some sort of global rule... Which doesn't seem very performant friendly, never mind trying to work out if it's actually AWB, without depending on something like the edit summary (then we can't actually remove "using AWB" from it)

and

If we wanted to do it with abusefilter (for example)... We'd have to do some sort of global rule... Which doesn't seem very performant friendly, never mind trying to work out if it's actually AWB, without depending on something like the edit summary (then we can't actually remove "using AWB" from it)

Thanks for the commentary and the gentle tutorial. :-) A global abuse filter is not the journey to take (especially as they are not truly global.)

I like simple, and trust you to do what you see is best, and more knowledgeably then anything than I can do in the space.

Personally I feel that there is value extending into WikimediaMessages though whether that is a one-off or in a more holistic approach that incorporates the major bots/tools than as a add-on for AWB.

Once this is done, could we please add a phab tag so that it appears in the Wikitech announcements for the community ambassadors, so communities know to add/create the tag. Happy to assist with compiling something here which can be linked to from the announcement. [IMO adding specific and followable instruction allows for easier compliance, especially for the smaller wikis]

mimicked the "AWB" tag at English Wikisource, so available for confirmation testing

Change 405531 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikimediaMessages@master] Add tag-AWB and tag-AWB-descrption

https://gerrit.wikimedia.org/r/405531

Change 405531 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add tag-AWB and tag-AWB-description

https://gerrit.wikimedia.org/r/405531

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptFeb 4 2018, 11:02 AM

New request. Any updates concerning that task? :)

stjn added a subscriber: stjn.Aug 27 2018, 4:55 PM

About the tag- messages: they should probably contain just [[Project:AutoWikiBrowser]] instead of potentially incorrect interwiki links (especially in the current wording, [[en:w: probably won’t work at all).

Given the  number of edits in the enwiki recent page, the change was published.
Thanks !
Can this task be closed ?

Given the  number of edits in the enwiki recent page, the change was published.
Thanks !
Can this task be closed ?

There is a wikicode problem. I'm creatting a new task.

Given the number of edits in the enwiki recent page, the change was published.

The tag was created manually at enwiki.

Reedy closed this task as Resolved.Oct 8 2018, 9:42 PM
Reedy claimed this task.